Bug 785943 - Review Request: python-gunicorn - Python WSGI application server
Summary: Review Request: python-gunicorn - Python WSGI application server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bohuslav "Slavek" Kabrda
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-30 23:46 UTC by Dan Callaghan
Modified: 2012-02-28 17:30 UTC (History)
3 users (show)

Fixed In Version: python-gunicorn-0.13.4-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-28 09:55:20 UTC
bkabrda: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Dan Callaghan 2012-01-30 23:46:25 UTC
Spec URL: http://fedorapeople.org/~dcallagh/gunicorn/gunicorn.spec
SRPM URL: http://fedorapeople.org/~dcallagh/gunicorn/gunicorn-0.13.4-1.fc16.src.rpm
Description:
Gunicorn ("Green Unicorn") is a Python WSGI HTTP server for UNIX. It uses the 
pre-fork worker model, ported from Ruby's Unicorn project. It supports WSGI, 
Django, and Paster applications.

Comment 1 Dan Callaghan 2012-01-31 04:24:42 UTC
Updated to address an intermittent build problem caused by test failures. Reported upstream:

https://github.com/benoitc/gunicorn/issues/294

New spec and SRPM:

http://fedorapeople.org/~dcallagh/gunicorn/gunicorn.spec
http://fedorapeople.org/~dcallagh/gunicorn/gunicorn-0.13.4-2.fc16.src.rpm

Comment 2 Bohuslav "Slavek" Kabrda 2012-01-31 07:47:19 UTC
I'll take this for a review.

Comment 3 Bohuslav "Slavek" Kabrda 2012-01-31 11:29:16 UTC
- The package should be named python-gunicorn.
- I think that Group: should be "System Environment/Daemons", as it is with other web servers like apache or httpd (not sure if this can actually run as a daemon, but I suppose it can).
- You should have BR: python2-devel according to [1].
- You should probably rather BR: python-setuptools than python-setuptools-devel: it seems to me, that the trend is to move to python-setuptools, as the package python-setuptools obsoletes python-setuptools-devel and only provides it for backward compatibility.
- Otherwise the package looks good and also works, so as soon as you correct these issues, it can be approved.

[1] https://fedoraproject.org/wiki/Packaging:Python#BuildRequires

Comment 4 Dan Callaghan 2012-02-01 01:04:12 UTC
Thanks for taking this review Bohuslav!

(In reply to comment #3)
> - The package should be named python-gunicorn.

At first I picked gunicorn and not python-gunicorn, because the package is a binary and not a Python library. But now that I read the guidelines more closely I see that you're right -- gunicorn is really an "addon" package for Python because it's not useful without a Python WSGI application to run.

> - I think that Group: should be "System Environment/Daemons", as it is with
> other web servers like apache or httpd (not sure if this can actually run as a
> daemon, but I suppose it can).

That makes sense. It is possible (and intended) to run gunicorn as a daemon, although I personally am not using it that way. Actually it should be easy to write a systemd unit for it. I will do that and add it to this package.

> - You should have BR: python2-devel according to [1].
> - You should probably rather BR: python-setuptools than
> python-setuptools-devel: it seems to me, that the trend is to move to
> python-setuptools, as the package python-setuptools obsoletes
> python-setuptools-devel and only provides it for backward compatibility.

I have been living in RHEL5-land for too long :-) I will fix these up.

Comment 5 Dan Callaghan 2012-02-08 01:05:35 UTC
The issues mentioned in comment 3 are now fixed:

http://fedorapeople.org/~dcallagh/gunicorn/python-gunicorn.spec
http://fedorapeople.org/~dcallagh/gunicorn/python-gunicorn-0.13.4-3.fc16.src.rpm

I haven't added a systemd unit because gunicorn will need to gain support for socket activation before it can be used with systemd. I started writing a patch, but it's not straightforward because Python does not seem to have a way to call getsockname() on an existing file descriptor. I will work on this some more in future.

Comment 6 Bohuslav "Slavek" Kabrda 2012-02-08 06:44:28 UTC
The package is ok now => APPROVED.

Comment 7 Dan Callaghan 2012-02-08 07:23:57 UTC
New Package SCM Request
=======================
Package Name: python-gunicorn
Short Description: Python WSGI application server
Owners: dcallagh
Branches: f15 f16 el6
InitialCC:

Comment 8 Gwyn Ciesla 2012-02-08 13:17:47 UTC
Git done (by process-git-requests).

Added f17.

Comment 9 Fedora Update System 2012-02-09 22:18:21 UTC
python-gunicorn-0.13.4-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-gunicorn-0.13.4-3.fc16

Comment 10 Fedora Update System 2012-02-09 22:19:30 UTC
python-gunicorn-0.13.4-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-gunicorn-0.13.4-3.fc15

Comment 11 Fedora Update System 2012-02-09 22:20:34 UTC
python-gunicorn-0.13.4-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-gunicorn-0.13.4-3.el6

Comment 12 Fedora Update System 2012-02-10 22:00:28 UTC
python-gunicorn-0.13.4-3.fc16 has been pushed to the Fedora 16 testing repository.

Comment 13 Fedora Update System 2012-02-28 09:55:20 UTC
python-gunicorn-0.13.4-3.fc16 has been pushed to the Fedora 16 stable repository.

Comment 14 Fedora Update System 2012-02-28 10:08:05 UTC
python-gunicorn-0.13.4-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 15 Fedora Update System 2012-02-28 17:30:38 UTC
python-gunicorn-0.13.4-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.